{{page-title "User"}}
<div class="container">
  <div class="row p-3">
    {{!-- First Row --}}
    <div class="col-md-6 col-sm-12">
      <div class="card bg-primary text-white">
        <div class="card-body">
          <h5 class="card-title"><span style="font-weight: 250">Welcome,</span></h5>
          <p class="card-text display-4 font-weight-bold">{{@model.user.name}} 👋</p>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="card">
        <div class="card-body">
          <h5 class="card-title">Account Balance</h5>
          <p class="card-text display-4 font-weight-bold text-primary">₹ {{@model.user.balance}}</p>
        </div>
      </div>
    </div>
  </div>

  {{!-- Second Row --}}
  <div class="row p-3">
    <div class="col-md-4">
      <LinkTo type="button" @route="users.user.transactions.add.transfer" class="fund-button" style="border: 2px solid #0d6efd !important">
        <h5>Fund Transfer</h5>
        <div>Transfer funds to another account</div>
      </LinkTo>
    </div>
    <div class="col-md-4">
      <LinkTo type="button" @route="users.user.transactions.add.deposit" class="fund-button" style="border: 2px solid #0d6efd !important">
        <h5>Deposit Funds</h5>
        <div>Deposit funds by scanning a QR Code</div>
      </LinkTo>
    </div>
    <div class="col-md-4">
      <LinkTo type="button" @route="users.user.transactions.add.withdraw" class="fund-button" style="border: 2px solid #0d6efd !important">
        <h5>Withdraw Funds</h5>
        <div>Withdraw funds in your PayTM Wallet</div>
      </LinkTo>
    </div>
  </div>
</div>
<CustomTable
  @caption="Beneficiaries"
  @description="List of beneficiaries added by you"
  @data={{@model.beneficiaries}}
  @limit="5"
/>
<CustomTable
  @caption="Transactions"
  @description="List of transactions"
  @data={{@model.transactions}}
  @limit="5"
/>